# Type alias GatewayTransferDetails

GatewayTransferDetails: {
amount: bigint;
fee?: bigint;
from: ChainAddress;
nativeGas?: bigint;
nonce?: number;
payload?: Uint8Array;
to: ChainAddress;
token: TokenId<Chain> | "native";
}

#### Type declaration

- ##### amount: bigint

- ##### `Optional` fee?: bigint

- ##### from: ChainAddress

- ##### `Optional` nativeGas?: bigint

- ##### `Optional` nonce?: number

- ##### `Optional` payload?: Uint8Array

- ##### to: ChainAddress

- ##### token: TokenId<Chain> | "native"

- Defined in core/definitions/dist/esm/protocols/ibc.d.ts:6

Generated using TypeDoc